<?php

/**
 * @file
 * Gesso helper commands.
 *
 * phpcs:ignoreFile
 */

namespace Drupal\gesso_helper\TwigExtension;

/**
 * Load custom twig functions from Pattern Lab.
 */
class GessoExtensionLoader {

  static $objects = [];

  /**
   *
   */
  public static function init() {
    if (!self::$objects) {
      static::loadAll();
    }
  }

  /**
   *
   */
  public static function get() {
    return !empty(self::$objects) ? self::$objects : [];
  }

  /**
   *
   */
  protected static function loadAll() {
    //$theme = \Drupal::config('system.theme')->get('default');
    //$themeLocation = drupal_get_path('theme', $theme);
    //$themePath = DRUPAL_ROOT . '/' . $themeLocation . '/';
    $uw_wcms_gesso_path = DRUPAL_ROOT . '/' . drupal_get_path('module', 'uw_wcms_gesso') . '/';
    //$fullPath = $themePath . 'source/_twig-components/functions/';
    $fullPath = $uw_wcms_gesso_path . 'source/_twig-components/functions/';
    static::load($fullPath . 'add_attributes.function.drupal.php');
  }

  /**
   *
   */
  protected static function load($file) {
    include $file;
    self::$objects[] = $function;
  }

}
